package lc.sips.jdbc;

import lc.sips.schema.Table;

import java.util.List;

/**
 * Classes implementing this interface provide a SQL-based dialect sufficient for implementing a SIPS schema.
 *
 * @author Alex Leigh
 * @since 1.0
 */
public interface Dialect {
     List<String> createTableQuery(Table table);

     List<String> createTableDrop(Table table);

     List<String> createSelect(Table table);
}
